<?php

namespace App\Notifications;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Notifications\Messages\MailMessage;
use Illuminate\Notifications\Notification;

class UserNotification extends Notification
{
    use Queueable;

    private $name = "";
    private $message = "";
    private $referral = "";

    /**
     * Create a new notification instance.
     *
     * @return void
     */
    public function __construct($name, $message, $referral)
    {
        $this->name = $name;
        $this->message = $message;
        $this->referral = $referral;
    }

    /**
     * Get the notification's delivery channels.
     *
     * @param  mixed  $notifiable
     * @return array
     */
    public function via($notifiable)
    {
        return ['database'];
    }

    /**
     * Get the array representation of the notification.
     *
     * @param  mixed  $notifiable
     * @return array
     */
    public function toArray($notifiable)
    {
        return [
            "name" => $this->name,
            "message" => $this->message,
            "referral" => $this->referral
        ];
    }
}
