@extends('layouts/contentNavbarLayout')

@section('title', 'Account settings - Account')

@section('page-script')
<script src="{{asset('assets/js/pages-account-settings-account.js')}}"></script>
@endsection

@section('content')
<h4 class="fw-bold py-3 mb-4">
  <span class="text-muted fw-light">Account Settings /</span> Account
</h4>

<div class="row">
  <div class="col-md-12">
    <ul class="nav nav-pills flex-column flex-md-row mb-3">
      <li class="nav-item"><a class="nav-link active" href="javascript:void(0);"><i class="bx bx-user me-1"></i> Account</a></li>
      <!-- <li class="nav-item"><a class="nav-link" href=""><i class="bx bx-lock me-1"></i> Security</a></li> -->
    </ul>
    <div class="card mb-4">
      <h5 class="card-header">Profile Details</h5>
      <!-- Account -->
      <div class="card-body">
        <div class="d-flex align-items-start align-items-sm-center gap-4">
          <img src="{{asset('assets/img/avatars/1.png')}}" alt="user-avatar" class="d-block rounded" height="100" width="100" id="uploadedAvatar" />
          <div class="button-wrapper">
            <label for="upload" class="btn btn-primary me-2 mb-4" tabindex="0">
              <span class="d-none d-sm-block">Upload new photo</span>
              <i class="bx bx-upload d-block d-sm-none"></i>
              <input type="file" id="upload" class="account-file-input" hidden accept="image/png, image/jpeg" />
            </label>

            <p class="text-muted mb-0">Allowed JPG, GIF or PNG. Max size of 800K</p>
          </div>
        </div>
      </div>
      <hr class="my-0">
      <div class="card-body">
        <div class="row">
          <div class="mb-3 col-md-6">
            <label for="name" class="form-label">Name</label>
            <input class="form-control" type="text" id="name" name="name" value="{{$user->biodata->nama}}" autofocus disabled />
          </div>
          <div class="mb-3 col-md-6">
            <label for="parent" class="form-label">Parent</label>
            <input class="form-control" type="text" id="parent" name="parent" value="{{$user->biodata->nama_ortu}}" disabled autofocus />
          </div>
          <div class="mb-3 col-md-6">
            <label for="email" class="form-label">E-mail</label>
            <input class="form-control" type="text" id="email" name="email" value="{{$user->email}}" disabled />
          </div>
          <div class="mb-3 col-md-6">
            <label class="form-label" for="phoneNumber">Phone Number</label>
            <div class="input-group input-group-merge">
              <input type="text" id="phoneNumber" name="phoneNumber" class="form-control" value="{{$user->biodata->no_telp}}" disabled />
            </div>
          </div>
          <div class="mb-3 col-md-12">
            <label for="parent-job" class="form-label">Parent's Job</label>
            <input class="form-control" type="text" id="parent-job" name="parent-job" value="{{$user->biodata->kerja_ortu}}" disabled autofocus />
          </div>
          <div class="mb-3 col-md-12">
            <label class="form-label" for="religion">Religion</label>
            <input class="form-control" type="text" id="religion" name="religion" value="{{$user->biodata->agama}}" disabled autofocus />
          </div>
          <div class="mb-3 col-md-6">
            <label for="level" class="form-label">Level</label>
            <input class="form-control" type="text" id="level" name="level" value="{{$user->biodata->jenjang}}" disabled autofocus />
          </div>
          <div class="mb-3 col-md-6">
            <label for="classification" class="form-label">Classification</label>
            <input class="form-control" type="text" id="classification" name="classification" value="{{$user->kelas}}" disabled autofocus />
          </div>
          <div class="mb-3 col-md-12">
            <label for="address" class="form-label">Address</label>
            <input type="text-area" class="form-control" id="address" name="address" value="{{$user->biodata->alamat}}" disabled />
          </div>
        </div>
        <div class="mt-2">
          <a href="{{url('/student/edit-biodata')}}" class="btn btn-primary me-2">Edit</a>
        </div>
      </div>
      <!-- /Account -->
    </div>
  </div>
</div>
@endsection