@extends('layouts/contentNavbarLayout')

@section('title', 'Tables - Classification')

@section('content')
<h4 class="fw-bold py-3 mb-4">
    <span class="text-muted fw-light">Tables Classification</span>
</h4>

<!-- Responsive Table -->
<div class="card">
    <h5 class="card-header">Classification</h5>
    <div class="mx-3 text-start">
        <a href="{{ route('classification.create') }}">
            <button type="submit" class="btn btn-sm btn-primary">
                <i class='bx bx-plus'></i>
                Add
            </button>
        </a>
    </div>
    <div class="table-responsive text-nowrap p-3">
        <table class="table">
            <thead>
                <tr class="text-nowrap">
                    <th>No</th>
                    <th>Nama</th>
                    <th>Jenjang</th>
                    <th>Nilai</th>
                    <th>Hasil Kelas</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($classification as $record)
                    <tr>
                        <th scope="row">{{$loop->index + 1}}</th>
                        <td>{{$record->nama}}</td>
                        <td>{{$record->jenjang}}</td>
                        <td>{{$record->nilai}}</td>
                        <td>{{$record->hasil_kelas}}</td>
                        <td>
                            <div class="btn-group" role="group" aria-label="Actions">
                                <a href="{{route('classification.edit', $record->id)}}" class="btn btn-blue"><i
                                        class="bx bx-edit-alt"></i> Edit</a>
                                <form action="{{route('classification.delete', $record->id)}}" method="POST">
                                    @csrf
                                    @method("DELETE")
                                    <button type="submit" class="btn btn-white"
                                        onclick="return confirm('Apakah Kamu Yakin?')">
                                        <i class="bx bx-trash"></i> Delete
                                    </button>
                                </form>
                            </div>
                        </td>
                    </tr>
                @endforeach
            </tbody>
        </table>
    </div>
</div>
<!--/ Responsive Table -->
@endsection