@extends('layouts/blankLayout')

@section('title', 'Landing Page')

@section('vendor-style')
<link rel="shortcut icon" href="assets/img/logo/seiza.png" type="image/png" />

<link rel="stylesheet" href="{{asset('assets/css/bootstrap.min.css')}}" />
<link rel="stylesheet" href="assets/css/animate.css" />
<link rel="stylesheet" href="assets/css/lineicons.css" />
<link rel="stylesheet" href="assets/css/ud-styles.css" />
@endsection

@section('vendor-script')
@endsection

@section('page-script')
@endsection

@section('content')
<header class="ud-header">
  <div class="container">
    <div class="row">
      <div class="col-lg-12">
        <nav class="navbar navbar-expand-lg">
          <a class="navbar-brand" href="index.html">
            <img src="{{ asset('assets/img/logo/seiza.png') }}" alt="Logo" width="50">
          </a>
          <button class="navbar-toggler">
            <span class="toggler-icon"> </span>
            <span class="toggler-icon"> </span>
            <span class="toggler-icon"> </span>
          </button>

          <div class="navbar-collapse">
            <ul id="nav" class="navbar-nav mx-auto">
              <li class="nav-item">
                <a class="ud-menu-scroll" href="#home">Home</a>
              </li>
            </ul>
            <ul id="nav" class="navbar-nav mx-auto">
              <li class="nav-item">
                <a class="ud-menu-scroll" href="#about">About</a>
              </li>
            </ul>
            <ul id="nav" class="navbar-nav mx-auto">
              <li class="nav-item">
                <a class="ud-menu-scroll" href="#pricing">Price</a>
              </li>
            </ul>
            <ul id="nav" class="navbar-nav mx-auto">
              <li class="nav-item">
                <a class="ud-menu-scroll" href="#tutor">Tutor</a>
              </li>
            </ul>
            <ul id="nav" class="navbar-nav mx-auto">
              <li class="nav-item">
                <a class="ud-menu-scroll" href="#faq">FAQ</a>
              </li>
            </ul>
            <ul id="nav" class="navbar-nav mx-auto">
              <li class="nav-item">
                <a class="ud-menu-scroll" href="#contact">Contact</a>
              </li>
            </ul>
          </div>

          <div class="navbar-btn d-none d-sm-inline-block">
            @if ($user)
            <a href="dashboard" class="ud-main-btn ud-white-btn">
              Dashboard
            </a>
            <a href="/api/logout" class="ud-main-btn ud-white-btn">
              Log out
            </a>
            @else
            <a href="auth/login-basic" class="ud-main-btn ud-white-btn">
              Sign In
            </a>
            <a href="auth/register-basic" class="ud-main-btn ud-white-btn">
              Sign Up
            </a>
            @endif
          </div>
        </nav>
      </div>
    </div>
  </div>
</header>

<section class="ud-hero" id="home">
  <div class="container">
    <div class="row">
      <div class="col-lg-12">
        <div class="ud-hero-content wow fadeInUp" data-wow-delay=".2s">
          <h1 class="ud-hero-title">
            Lembaga Kursus dan Pelatihan Seiza
          </h1>
          <!-- <p class="ud-hero-desc">
            Lembaga Kursus dan Pelatihan Seiza merupakan LKP Bhasa Inggris yang mewadahi siswa-siswi maupun masyarakat umum
            untuk memperdalam ilmu bahasa inggris dan juga kursus dalam bidang tertentu. LKP ini berada di Pesanggaran Banyuwangi Jawa Timur,
            LKP ini sudah mendapatkan perizinan dari Dinas Pendidikan Banyuwangi dengan nomor ijin 421.9/1405/429.101/2019.
          </p> -->
          <p class="text-white"><i>
              The Seiza Course and Training Institute is an English LKP that accommodates students and the general
              public
              to deepen your English knowledge and also take courses in certain fields. This LKP is located in
              Pesanggaran Banyuwangi, East Java,
              This LKP has received permission from the Banyuwangi Education Department permit number
              421.9/1405/429.101/2019.
            </i></p>
          <!-- <ul class="ud-hero-buttons">
            <li>
              <a href="https://links.uideck.com/play-bootstrap-download" rel="nofollow noopener" target="_blank" class="ud-main-btn ud-white-btn">
                Download Now
              </a>
            </li>
            <li>
              <a href="https://github.com/uideck/play-bootstrap" rel="nofollow noopener" target="_blank" class="ud-main-btn ud-link-btn">
                Learn More <i class="lni lni-arrow-right"></i>
              </a>
            </li>
          </ul> -->
        </div>
        <!-- <div class="ud-hero-brands-wrapper wow fadeInUp" data-wow-delay=".3s">
          <img src="assets/images/hero/brand.svg" alt="brand" />
        </div> -->
        <div class="ud-hero-image wow fadeInUp" data-wow-delay=".25s">
          <img src="assets/images/hero/hero-image.svg" alt="hero-image" />
          <img src="assets/images/hero/dotted-shape.svg" alt="shape" class="shape shape-1" />
          <img src="assets/images/hero/dotted-shape.svg" alt="shape" class="shape shape-2" />
        </div>
      </div>
    </div>
  </div>
</section>

<!-- <section id="features" class="ud-features">
  <div class="container">
    <div class="row">
      <div class="col-lg-12">
        <div class="ud-section-title">
          <span>Features</span>
          <h2>Main Features of Play</h2>
          <p>
            There are many variations of passages of Lorem Ipsum available
            but the majority have suffered alteration in some form.
          </p>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-xl-3 col-lg-3 col-sm-6">
        <div class="ud-single-feature wow fadeInUp" data-wow-delay=".1s">
          <div class="ud-feature-icon">
            <i class="lni lni-gift"></i>
          </div>
          <div class="ud-feature-content">
            <h3 class="ud-feature-title">Free and Open-Source</h3>
            <p class="ud-feature-desc">
              Lorem Ipsum is simply dummy text of the printing and industry.
            </p>
            <a href="javascript:void(0)" class="ud-feature-link">
              Learn More
            </a>
          </div>
        </div>
      </div>
      <div class="col-xl-3 col-lg-3 col-sm-6">
        <div class="ud-single-feature wow fadeInUp" data-wow-delay=".15s">
          <div class="ud-feature-icon">
            <i class="lni lni-move"></i>
          </div>
          <div class="ud-feature-content">
            <h3 class="ud-feature-title">Multipurpose Template</h3>
            <p class="ud-feature-desc">
              Lorem Ipsum is simply dummy text of the printing and industry.
            </p>
            <a href="javascript:void(0)" class="ud-feature-link">
              Learn More
            </a>
          </div>
        </div>
      </div>
      <div class="col-xl-3 col-lg-3 col-sm-6">
        <div class="ud-single-feature wow fadeInUp" data-wow-delay=".2s">
          <div class="ud-feature-icon">
            <i class="lni lni-layout"></i>
          </div>
          <div class="ud-feature-content">
            <h3 class="ud-feature-title">High-quality Design</h3>
            <p class="ud-feature-desc">
              Lorem Ipsum is simply dummy text of the printing and industry.
            </p>
            <a href="javascript:void(0)" class="ud-feature-link">
              Learn More
            </a>
          </div>
        </div>
      </div>
      <div class="col-xl-3 col-lg-3 col-sm-6">
        <div class="ud-single-feature wow fadeInUp" data-wow-delay=".25s">
          <div class="ud-feature-icon">
            <i class="lni lni-layers"></i>
          </div>
          <div class="ud-feature-content">
            <h3 class="ud-feature-title">All Essential Elements</h3>
            <p class="ud-feature-desc">
              Lorem Ipsum is simply dummy text of the printing and industry.
            </p>
            <a href="javascript:void(0)" class="ud-feature-link">
              Learn More
            </a>
          </div>
        </div>
      </div>
    </div>
  </div>
</section> -->

<section id="about" class="ud-about">
  <div class="container">
    <div class="ud-about-wrapper wow fadeInUp" data-wow-delay=".2s">
      <div class="ud-about-content-wrapper">
        <div class="ud-about-content">
          <span class="tag">About Us</span>
          <h2>LKP Seiza</h2>
          <p>
            LKP Seiza is a course and training institution that was established and oversees 3 divisions,
            namely the tour guide division, education and training division.
            The tour guide division consists of tour and travel guides and agency guides.
            Meanwhile, the education division consists of several levels of English courses, namely pree kids, biginner
            kids, biginner, intermediate, etc.
            Meanwhile, the training division consists of training for hospitality majors, flight attendants, etc.
          </p>

          <p>
            The main ‘thrust’ is to focus on educating attendees on how to
            best protect highly vulnerable business applications with
            interactive panel.
          </p>
          <!-- <a href="javascript:void(0)" class="ud-main-btn">Learn More</a> -->
        </div>
      </div>
      <div class="ud-hero-image wow fadeInUp" data-wow-delay=".25s">
        <img src="assets/images/hero/dotted-shape.svg" alt="shape" class="shape shape-1" />
        <img src="assets/images/hero/dotted-shape.svg" alt="shape" class="shape shape-1" />
      </div>
      <div class="ud-about-image">
        <img src="assets/images/about/about-image.svg" alt="about-image" />
      </div>
    </div>
  </div>
</section>
<!-- ====== About End ====== -->

<!-- ====== Pricing Start ====== -->
<section id="pricing" class="ud-pricing">
  <div class="container">
    <div class="row">
      <div class="col-lg-12">
        <div class="ud-section-title mx-auto text-center">
          <span>Price</span>
          <h2>Some Pricing</h2>
          <!-- <p>
            There are many variations of passages of Lorem Ipsum available
            but the majority have suffered alteration in some form.
          </p> -->
        </div>
      </div>
    </div>

    <div class="row g-0 align-items-center justify-content-center">
      <div class="col-lg-4 col-md-6 col-sm-10">
        <div class="ud-single-pricing first-item wow fadeInUp" data-wow-delay=".15s">
          <div class="ud-pricing-header">
            <h2>Pelatihan</h2>
            <h4>200/bulan</h4>
          </div>
          <div class="ud-pricing-body">
            <ul>
              <li>Melayani kursus untuk beberapa pelatihan</li>
              <li>Pelatihan Pramugari</li>
              <li>Tenaga Kerja Indonesia</li>
              <li>Dan Masih Banyak Lainnya</li>
            </ul>
          </div>
          <!-- <div class="ud-pricing-footer">
            <a href="javascript:void(0)" class="ud-main-btn ud-border-btn">
              Purchase Now
            </a>
          </div> -->
        </div>
      </div>
      <div class="col-lg-4 col-md-6 col-sm-10">
        <div class="ud-single-pricing active wow fadeInUp" data-wow-delay=".1s">
          <span class="ud-popular-tag">POPULAR</span>
          <div class="ud-pricing-header">
            <h2>Education</h2>
            <h4>200/bulan</h4>
          </div>
          <div class="ud-pricing-body">
            <ul>
              <li>Melayani Kursus Bahasa Inggris untuk Semua Jenjang</li>
              <li>Kursus Selama 5 Bulan pertemuan</li>
              <li>Sertifikat</li>
            </ul>
          </div>
          <div class="ud-pricing-footer">
            <a href="{{ url('/auth-login-basic') }}" class="app-brand-link gap-2">
              Sign Up Now
            </a>
          </div>
        </div>
      </div>
      <div class="col-lg-4 col-md-6 col-sm-10">
        <div class="ud-single-pricing last-item wow fadeInUp" data-wow-delay=".15s">
          <div class="ud-pricing-header">
            <h2>Tour Guide</h2>
            <h4>200</h4>
          </div>
          <div class="ud-pricing-body">
            <ul>
              <li>Melayani Jasa Tour Guide Wisata/Education</li>
              <li>Tour Guide dari Tutor Terbaik LKP Seiza</li>
              <li>Berbagai Kunjungan</li>
            </ul>
          </div>
          <!-- <div class="ud-pricing-footer">
            <a href="javascript:void(0)" class="ud-main-btn ud-border-btn">
              Purchase Now
            </a> -->
        </div>
      </div>
    </div>
  </div>
  </div>
</section>
<!-- ====== Pricing End ====== -->

<!-- ====== Team Start ====== -->
<section id="tutor" class="ud-tutor">
  <div class="container">
    <div class="row">
      <div class="col-lg-12">
        <div class="ud-section-title mx-auto text-center">
          <span>Our Tutor</span>
          <h2>Meet The Tutor</h2>
          <p>
            They are tutors at LKP Seiza
          </p>
        </div>
      </div>
    </div>

    <div class="row">
      @foreach ($tutor->slice(0, 4) as $data)
      <div class="col-xl-3 col-lg-3 col-sm-6">
        <div class="ud-single-team wow fadeInUp" data-wow-delay=".1s">
          <div class="ud-team-image-wrapper">
            <div class="ud-team-image">
              <img src="{{asset('images/tutor/' . $data->foto)}}" alt="team" />
            </div>

            <img src="assets/images/team/dotted-shape.svg" alt="shape" class="shape shape-1" />
            <img src="assets/images/team/shape-2.svg" alt="shape" class="shape shape-2" />
          </div>
          <div class="ud-team-info">
            <h5>{{$data->nama}}</h5>
          </div>
        </div>
      </div>
      @endforeach
    </div>
  </div>
</section>
<!-- ====== Team End ====== -->

<!-- ====== FAQ Start ====== -->
<!-- <section id="faq" class="ud-faq"> -->
<!-- <div class="shape">
    <img src="assets/images/faq/shape.svg" alt="shape" />
  </div> -->
<!-- <div class="container">
    <div class="row">
      <div class="col-lg-12">
        <div class="ud-section-title text-center mx-auto">
          <span>FAQ</span>
          <h2>Any Questions? Answered</h2>
          <p>
            There are many variations of passages of Lorem Ipsum available
            but the majority have suffered alteration in some form.
          </p>
        </div>
      </div>
    </div>

    <div class="row">
      <div class="col-lg-6">
        <div class="ud-single-faq wow fadeInUp" data-wow-delay=".1s">
          <div class="accordion">
            <button class="ud-faq-btn collapsed" data-bs-toggle="collapse" data-bs-target="#collapseOne">
              <span class="icon flex-shrink-0">
                <i class="lni lni-chevron-down"></i>
              </span>
              <span>How to use UIdeck?</span>
            </button>
            <div id="collapseOne" class="accordion-collapse collapse">
              <div class="ud-faq-body">
                Lorem Ipsum is simply dummy text of the printing and
                typesetting industry. Lorem Ipsum has been the industry's
                standard dummy text ever since the 1500s, when an unknown
                printer took a galley of type and scrambled it to make a
                type specimen book.
              </div>
            </div>
          </div>
        </div>
        <div class="ud-single-faq wow fadeInUp" data-wow-delay=".15s">
          <div class="accordion">
            <button class="ud-faq-btn collapsed" data-bs-toggle="collapse" data-bs-target="#collapseTwo">
              <span class="icon flex-shrink-0">
                <i class="lni lni-chevron-down"></i>
              </span>
              <span>How to download icons from Lineicons?</span>
            </button>
            <div id="collapseTwo" class="accordion-collapse collapse">
              <div class="ud-faq-body">
                Lorem Ipsum is simply dummy text of the printing and
                typesetting industry. Lorem Ipsum has been the industry's
                standard dummy text ever since the 1500s, when an unknown
                printer took a galley of type and scrambled it to make a
                type specimen book.
              </div>
            </div>
          </div>
        </div>
        <div class="ud-single-faq wow fadeInUp" data-wow-delay=".2s">
          <div class="accordion">
            <button class="ud-faq-btn collapsed" data-bs-toggle="collapse" data-bs-target="#collapseThree">
              <span class="icon flex-shrink-0">
                <i class="lni lni-chevron-down"></i>
              </span>
              <span>Is GrayGrids part of UIdeck?</span>
            </button>
            <div id="collapseThree" class="accordion-collapse collapse">
              <div class="ud-faq-body">
                Lorem Ipsum is simply dummy text of the printing and
                typesetting industry. Lorem Ipsum has been the industry's
                standard dummy text ever since the 1500s, when an unknown
                printer took a galley of type and scrambled it to make a
                type specimen book.
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="col-lg-6">
        <div class="ud-single-faq wow fadeInUp" data-wow-delay=".1s">
          <div class="accordion">
            <button class="ud-faq-btn collapsed" data-bs-toggle="collapse" data-bs-target="#collapseFour">
              <span class="icon flex-shrink-0">
                <i class="lni lni-chevron-down"></i>
              </span>
              <span>Can I use this template for commercial project?</span>
            </button>
            <div id="collapseFour" class="accordion-collapse collapse">
              <div class="ud-faq-body">
                Lorem Ipsum is simply dummy text of the printing and
                typesetting industry. Lorem Ipsum has been the industry's
                standard dummy text ever since the 1500s, when an unknown
                printer took a galley of type and scrambled it to make a
                type specimen book.
              </div>
            </div>
          </div>
        </div>
        <div class="ud-single-faq wow fadeInUp" data-wow-delay=".15s">
          <div class="accordion">
            <button class="ud-faq-btn collapsed" data-bs-toggle="collapse" data-bs-target="#collapseFive">
              <span class="icon flex-shrink-0">
                <i class="lni lni-chevron-down"></i>
              </span>
              <span>Do you have plan releasing Play Pro?</span>
            </button>
            <div id="collapseFive" class="accordion-collapse collapse">
              <div class="ud-faq-body">
                Lorem Ipsum is simply dummy text of the printing and
                typesetting industry. Lorem Ipsum has been the industry's
                standard dummy text ever since the 1500s, when an unknown
                printer took a galley of type and scrambled it to make a
                type specimen book.
              </div>
            </div>
          </div>
        </div>
        <div class="ud-single-faq wow fadeInUp" data-wow-delay=".2s">
          <div class="accordion">
            <button class="ud-faq-btn collapsed" data-bs-toggle="collapse" data-bs-target="#collapseSix">
              <span class="icon flex-shrink-0">
                <i class="lni lni-chevron-down"></i>
              </span>
              <span>Where and how to host this template?</span>
            </button>
            <div id="collapseSix" class="accordion-collapse collapse">
              <div class="ud-faq-body">
                Lorem Ipsum is simply dummy text of the printing and
                typesetting industry. Lorem Ipsum has been the industry's
                standard dummy text ever since the 1500s, when an unknown
                printer took a galley of type and scrambled it to make a
                type specimen book.
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div>
    <h1></h1>
  </div>
</section> -->
<!-- ====== FAQ End ====== -->

<!-- ====== Testimonials Start ====== -->
<!-- <section id="testimonials" class="ud-testimonials">
  <div class="container">
    <div class="row">
      <div class="col-lg-12">
        <div class="ud-section-title mx-auto text-center">
          <span>Testimonials</span>
          <h2>What our Customers Says</h2>
          <p>
            There are many variations of passages of Lorem Ipsum available
            but the majority have suffered alteration in some form.
          </p>
        </div>
      </div>
    </div>

    <div class="row">
      <div class="col-lg-4 col-md-6">
        <div class="ud-single-testimonial wow fadeInUp" data-wow-delay=".1s">
          <div class="ud-testimonial-ratings">
            <i class="lni lni-star-filled"></i>
            <i class="lni lni-star-filled"></i>
            <i class="lni lni-star-filled"></i>
            <i class="lni lni-star-filled"></i>
            <i class="lni lni-star-filled"></i>
          </div>
          <div class="ud-testimonial-content">
            <p>
              “Our members are so impressed. It's intuitive. It's clean.
              It's distraction free. If you're building a community.
            </p>
          </div>
          <div class="ud-testimonial-info">
            <div class="ud-testimonial-image">
              <img src="assets/images/testimonials/author-01.png" alt="author" />
            </div>
            <div class="ud-testimonial-meta">
              <h4>Sabo Masties</h4>
              <p>Founder @UIdeck</p>
            </div>
          </div>
        </div>
      </div>
      <div class="col-lg-4 col-md-6">
        <div class="ud-single-testimonial wow fadeInUp" data-wow-delay=".15s">
          <div class="ud-testimonial-ratings">
            <i class="lni lni-star-filled"></i>
            <i class="lni lni-star-filled"></i>
            <i class="lni lni-star-filled"></i>
            <i class="lni lni-star-filled"></i>
            <i class="lni lni-star-filled"></i>
          </div>
          <div class="ud-testimonial-content">
            <p>
              “Our members are so impressed. It's intuitive. It's clean.
              It's distraction free. If you're building a community.
            </p>
          </div>
          <div class="ud-testimonial-info">
            <div class="ud-testimonial-image">
              <img src="assets/images/testimonials/author-02.png" alt="author" />
            </div>
            <div class="ud-testimonial-meta">
              <h4>Margin Gesmu</h4>
              <p>Founder @Lineicons</p>
            </div>
          </div>
        </div>
      </div>
      <div class="col-lg-4 col-md-6">
        <div class="ud-single-testimonial wow fadeInUp" data-wow-delay=".2s">
          <div class="ud-testimonial-ratings">
            <i class="lni lni-star-filled"></i>
            <i class="lni lni-star-filled"></i>
            <i class="lni lni-star-filled"></i>
            <i class="lni lni-star-filled"></i>
            <i class="lni lni-star-filled"></i>
          </div>
          <div class="ud-testimonial-content">
            <p>
              “Our members are so impressed. It's intuitive. It's clean.
              It's distraction free. If you're building a community.
            </p>
          </div>
          <div class="ud-testimonial-info">
            <div class="ud-testimonial-image">
              <img src="assets/images/testimonials/author-03.png" alt="author" />
            </div>
            <div class="ud-testimonial-meta">
              <h4>William Smith</h4>
              <p>Founder @GrayGrids</p>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-lg-12">
        <div class="ud-brands wow fadeInUp" data-wow-delay=".2s">
          <div class="ud-title">
            <h6>Trusted and Used by</h6>
          </div>
          <div class="ud-brands-logo">
            <div class="ud-single-logo">
              <img src="assets/images/brands/ayroui.svg" alt="ayroui" />
            </div>
            <div class="ud-single-logo">
              <img src="assets/images/brands/uideck.svg" alt="uideck" />
            </div>
            <div class="ud-single-logo">
              <img src="assets/images/brands/graygrids.svg" alt="graygrids" />
            </div>
            <div class="ud-single-logo">
              <img src="assets/images/brands/lineicons.svg" alt="lineicons" />
            </div>
            <div class="ud-single-logo">
              <img src="assets/images/brands/ecommerce-html.svg" alt="ecommerce-html" />
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</section> -->
<!-- ====== Testimonials End ====== -->

<!-- ====== Contact Start ====== -->
<section id="contact" class="ud-contact">
  <div class="container">
    <div class="row align-items-center">
      <div class="col-xl-8 col-lg-7">
        <div class="ud-contact-content-wrapper">
          <div class="ud-contact-title">
            <span>CONTACT US</span>
            <h2>
              Let’s talk about <br />
              Love to hear from you!
            </h2>
          </div>
          <div class="ud-contact-info-wrapper">
            <div class="ud-single-info">
              <div class="ud-info-icon">
                <i class="lni lni-map-marker"></i>
              </div>
              <div class="ud-info-meta">
                <h5>Our Location</h5>
                <p>Dusun Krajan, Desa Pesanggaran,
                  Kecamatan Pesanggaran, Kabupaten Banyuwangi, Jawa Timur.</p>
              </div>
            </div>
            <div class="ud-single-info">
              <div class="ud-info-icon">
                <i class="lni lni-envelope"></i>
              </div>
              <div class="ud-info-meta">
                <h5>How Can We Help?</h5>
                <p>Email: lkpseizapsg@gmail.com</p>
                <p>Telepon: 081294294947</p>
              </div>
            </div>
          </div>
        </div>
      </div>
      <!-- <div class="col-xl-4 col-lg-5">
        <div class="ud-contact-form-wrapper wow fadeInUp" data-wow-delay=".2s">
          <h3 class="ud-contact-form-title">Send us a Message</h3>
          <form class="ud-contact-form">
            <div class="ud-form-group">
              <label for="fullName">Full Name*</label>
              <input type="text" name="fullName" placeholder="Adam Gelius" />
            </div>
            <div class="ud-form-group">
              <label for="email">Email*</label>
              <input type="email" name="email" placeholder="example@yourmail.com" />
            </div>
            <div class="ud-form-group">
              <label for="phone">Phone*</label>
              <input type="text" name="phone" placeholder="+885 1254 5211 552" />
            </div>
            <div class="ud-form-group">
              <label for="message">Message*</label>
              <textarea name="message" rows="1" placeholder="type your message here"></textarea>
            </div>
            <div class="ud-form-group mb-0">
              <button type="submit" class="ud-main-btn">
                Send Message
              </button>
            </div>
          </form>
        </div>
      </div> -->
    </div>
  </div>
</section>

<!-- <footer class="ud-footer wow fadeInUp" data-wow-delay=".15s">
  <div class="shape shape-1">
    <img src="assets/images/footer/shape-1.svg" alt="shape" />
  </div>
  <div class="shape shape-2">
    <img src="assets/images/footer/shape-2.svg" alt="shape" />
  </div>
  <div class="shape shape-3">
    <img src="assets/images/footer/shape-3.svg" alt="shape" />
  </div>
  <div class="ud-footer-widgets">
    <div class="container">
      <div class="row">
        <div class="col-xl-3 col-lg-4 col-md-6">
          <div class="ud-widget">
            <a href="index.html" class="ud-footer-logo">
              <img src="assets/images/logo/logo.svg" alt="logo" />
            </a>
            <p class="ud-widget-desc">
              We create digital experiences for brands and companies by
              using technology.
            </p>
            <ul class="ud-widget-socials">
              <li>
                <a href="https://twitter.com/MusharofChy">
                  <i class="lni lni-facebook-filled"></i>
                </a>
              </li>
              <li>
                <a href="https://twitter.com/MusharofChy">
                  <i class="lni lni-twitter-filled"></i>
                </a>
              </li>
              <li>
                <a href="https://twitter.com/MusharofChy">
                  <i class="lni lni-instagram-filled"></i>
                </a>
              </li>
              <li>
                <a href="https://twitter.com/MusharofChy">
                  <i class="lni lni-linkedin-original"></i>
                </a>
              </li>
            </ul>
          </div>
        </div>

        <div class="col-xl-2 col-lg-2 col-md-6 col-sm-6">
          <div class="ud-widget">
            <h5 class="ud-widget-title">About Us</h5>
            <ul class="ud-widget-links">
              <li>
                <a href="javascript:void(0)">Home</a>
              </li>
              <li>
                <a href="javascript:void(0)">Features</a>
              </li>
              <li>
                <a href="javascript:void(0)">About</a>
              </li>
              <li>
                <a href="javascript:void(0)">Testimonial</a>
              </li>
            </ul>
          </div>
        </div>
        <div class="col-xl-2 col-lg-3 col-md-6 col-sm-6">
          <div class="ud-widget">
            <h5 class="ud-widget-title">Features</h5>
            <ul class="ud-widget-links">
              <li>
                <a href="javascript:void(0)">How it works</a>
              </li>
              <li>
                <a href="javascript:void(0)">Privacy policy</a>
              </li>
              <li>
                <a href="javascript:void(0)">Terms of service</a>
              </li>
              <li>
                <a href="javascript:void(0)">Refund policy</a>
              </li>
            </ul>
          </div>
        </div>
        <div class="col-xl-2 col-lg-3 col-md-6 col-sm-6">
          <div class="ud-widget">
            <h5 class="ud-widget-title">Our Products</h5>
            <ul class="ud-widget-links">
              <li>
                <a href="https://lineicons.com/" rel="nofollow noopner" target="_blank">Lineicons
                </a>
              </li>
              <li>
                <a href="https://ecommercehtml.com/" rel="nofollow noopner" target="_blank">Ecommerce HTML</a>
              </li>
              <li>
                <a href="https://ayroui.com/" rel="nofollow noopner" target="_blank">Ayro UI</a>
              </li>
              <li>
                <a href="https://graygrids.com/" rel="nofollow noopner" target="_blank">Plain Admin</a>
              </li>
            </ul>
          </div>
        </div>
        <div class="col-xl-3 col-lg-6 col-md-8 col-sm-10">
          <div class="ud-widget">
            <h5 class="ud-widget-title">Partners</h5>
            <ul class="ud-widget-brands">
              <li>
                <a href="https://ayroui.com/" rel="nofollow noopner" target="_blank">
                  <img src="assets/images/footer/brands/ayroui.svg" alt="ayroui" />
                </a>
              </li>
              <li>
                <a href="https://ecommercehtml.com/" rel="nofollow noopner" target="_blank">
                  <img src="assets/images/footer/brands/ecommerce-html.svg" alt="ecommerce-html" />
                </a>
              </li>
              <li>
                <a href="https://graygrids.com/" rel="nofollow noopner" target="_blank">
                  <img src="assets/images/footer/brands/graygrids.svg" alt="graygrids" />
                </a>
              </li>
              <li>
                <a href="https://lineicons.com/" rel="nofollow noopner" target="_blank">
                  <img src="assets/images/footer/brands/lineicons.svg" alt="lineicons" />
                </a>
              </li>
              <li>
                <a href="https://uideck.com/" rel="nofollow noopner" target="_blank">
                  <img src="assets/images/footer/brands/uideck.svg" alt="uideck" />
                </a>
              </li>
              <li>
                <a href="https://tailwindtemplates.co/" rel="nofollow noopner" target="_blank">
                  <img src="assets/images/footer/brands/tailwindtemplates.svg" alt="tailwindtemplates" />
                </a>
              </li>
            </ul>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="ud-footer-bottom">
    <div class="container">
      <div class="row">
        <div class="col-md-8">
          <ul class="ud-footer-bottom-left">
            <li>
              <a href="javascript:void(0)">Privacy policy</a>
            </li>
            <li>
              <a href="javascript:void(0)">Support policy</a>
            </li>
            <li>
              <a href="javascript:void(0)">Terms of service</a>
            </li>
          </ul>
        </div>
        <div class="col-md-4">
          <p class="ud-footer-bottom-right">
            Designed and Developed by
            <a href="https://uideck.com" rel="nofollow">UIdeck</a>
          </p>
        </div>
      </div>
    </div>
  </div>
</footer> -->
<!-- ====== Footer End ====== -->

<!-- ====== Back To Top Start ====== -->
<a href="javascript:void(0)" class="back-to-top">
  <i class="lni lni-chevron-up"> </i>
</a>
<!-- ====== Back To Top End ====== -->

<!-- ====== All Javascript Files ====== -->
<script src="assets/js/bootstrap.bundle.min.js"></script>
<script src="assets/js/wow.min.js"></script>
<script src="assets/js/main-landing.js"></script>
<script>
  // ==== for menu scroll
  const pageLink = document.querySelectorAll(".ud-menu-scroll");

  pageLink.forEach((elem) => {
    elem.addEventListener("click", (e) => {
      e.preventDefault();
      document.querySelector(elem.getAttribute("href")).scrollIntoView({
        behavior: "smooth",
        offsetTop: 1 - 60,
      });
    });
  });

  // section menu active
  function onScroll(event) {
    const sections = document.querySelectorAll(".ud-menu-scroll");
    const scrollPos =
      window.pageYOffset ||
      document.documentElement.scrollTop ||
      document.body.scrollTop;

    for (let i = 0; i < sections.length; i++) {
      const currLink = sections[i];
      const val = currLink.getAttribute("href");
      const refElement = document.querySelector(val);
      const scrollTopMinus = scrollPos + 73;
      if (
        refElement.offsetTop <= scrollTopMinus &&
        refElement.offsetTop + refElement.offsetHeight > scrollTopMinus
      ) {
        document
          .querySelector(".ud-menu-scroll")
          .classList.remove("active");
        currLink.classList.add("active");
      } else {
        currLink.classList.remove("active");
      }
    }
  }

  window.document.addEventListener("scroll", onScroll);
</script>
@endsection