<!-- resources/views/jadwal/create.blade.php -->

@extends('layouts/contentNavbarLayout')

@section('title', 'Add Jadwal')

@section('content')
<!-- Your existing content goes here -->
<h4 class="fw-bold py-3 mb-4">
    <span class="text-muted fw-light">Add Jadwal</span>
</h4>

<form action="{{ route('jadwal.insert') }}" method="POST">
    @csrf
    <div class="card">
        <div class="card-header">
            Form Input Data Jadwal
        </div>
        <div class="card-body">
            <form>
                <div class="mb-3">
                    <label for="tutor" class="form-label">Tutor</label>
                    <select id="tutor" class="select2 form-select" name="tutor">
                        <option value="" disabled selected>Select</option>
                        @foreach ($tutor as $data)
                            <option value="{{$data->id}}">{{$data->nama}}</option>
                        @endforeach
                    </select>
                </div>
                <div class="mb-3">
                    <label for="kelas" class="form-label">Kelas</label>
                    <select id="kelas" class="select2 form-select" name="kelas">
                        <option value="" disabled selected>Select</option>
                        <option value="Pre-Kids">Pre-Kids</option>
                        <option value="Beginner">Beginner</option>
                        <option value="Intermediate">Intermediate</option>
                    </select>
                </div>
                <div class="mb-3">
                    <label for="hari" class="form-label">Hari</label>
                    <input type="text" class="form-control" id="hari" name="hari">
                </div>
                <div class="mb-3">
                    <label for="jam" class="form-label">Jam</label>
                    <input type="time" class="form-control" id="jam" name="jam">
                </div>
                <button type="submit" class="btn btn-primary">Submit</button>
            </form>
        </div>
    </div>
    @endsection